Oracle E-Business Suite 12.2 Connector Release Notes - Mule 4

Support Category: Premium

Anypoint Connector for Oracle E-Business Suite (EBS) 12.2 provides real-time connectivity to query and update Oracle EBS using REST web services. The connector has been developed for the Oracle EBS v12.2.x.

2.1.5

March 29, 2021

Compatibility

Software Version

Mule

4.1.1 and later

Oracle EBS

12.2.x

OpenJDK

8 and 11

Fixed Issues

The client connection timeout value was overwritten by the default value (30 seconds) during runtime. The connector now uses the configured value, if available. (SE-16772)

2.1.4

November 10, 2020

Compatibility

Software Version

Mule

4.1.1 and later

Oracle EBS

12.2.x

OpenJDK

8 and 11

Fixed Issues

The default value for the connection timeout is 0, which some versions of Mule interpret as zero wait time before the connection times out. The connection timeout value of 0 now means that the wait for the connection timeout is indefinite.

2.1.3

May 15, 2020

Compatibility

Software Version

Mule

4.1.1 and later

Oracle EBS

12.2.x

OpenJDK

8 and 11

Fixed Issues

Fixed all reported security issues. (CONN-5977)

2.1.2

August 7, 2019

Compatibility

Software Version

Mule

4.0 and later

Oracle EBS

12.2.x

Java

8

Fixed Issues

  • Business events now publish the correct media type response.

  • Business events that map messages using the Transform Message component are now fixed.

2.1.1

March 20, 2019

Compatibility

Software Version

Mule

4.0 and later

Oracle EBS

12.2.x

Java

8

Fixed Issues

  • Metadata - Various fixes for the metadata resolving strategy were applied. It should now work as expected in all 12.2.x instances.

2.1.0

December 14, 2018

Compatibility

Software Version

Mule

4.0 and later

Oracle EBS

12.2.x

Java

8

Features

  • Business Events - Support for subscribing to Business Events was added.

Fixed Issues

  • WADL Alias - Users needed to define the alias of deployed WADLs as their internal names, in lowercase. This new version fixes that and this is no longer required.

2.0.0

January 12, 2018

Oracle E-Business Suite 12.2 connector is available on Mule 4.0.

Software Version

Mule

4.0 and later

Oracle EBS

12.2.x

Java

8

See Also

Was this article helpful?

💙 Thanks for your feedback!